<?php

namespace App\Services\Paga;

use App\Models\MetodoPagamento;
use App\Models\Pagamento;
use App\Models\Ordine;
use App\Models\Voucher;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Log;

class Cupon
{
    
    public function __construct(){

    }

    public function paga($pagamento){
        $voucher = Voucher::where('codice', $voucher_codice)->first();
        if($voucher && $voucher->stato == Voucher::DISPONIBILE){
            $voucher->stato = Voucher::USATO;
            $voucher->save();
            $pagamento->stato = Pagamento::PAGATO;
            $pagamento->save();
            return [
                'result' => true,
                'message' => 'Pagamento con cupon registrato.',
            ];
        }else{
            return [
                'result' => false,
                'message' => 'Voucher non trovato.',
            ];
        }
    }
}